Meetings
List meetings
Get all meetings for your workspaces. Supports filtering by status and workspace.
GET
/
meetings
List meetings
curl --request GET \
--url https://app.mavera.io/api/v1/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/meetings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "meeting",
"title": "<string>",
"meeting_url": "<string>",
"bot_name": "<string>",
"join_type": "<string>",
"join_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"status": "pending",
"recording_url": "<string>",
"participant_count": 123,
"workspace_id": "<string>",
"has_analysis": true,
"analysis_status": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelled_by": "<string>",
"cancel_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Query Parameters
Filter by workspace ID
Filter by meeting status (pending, joining_call, in_waiting_room, in_call_not_recording, in_call_recording, call_ended, recording_done, done, fatal, recording_permission_denied, media_expired, cancelled)
Maximum number of results (default 20, max 100)
Required range:
1 <= x <= 100Cursor for pagination (meeting ID from previous response)
⌘I
List meetings
curl --request GET \
--url https://app.mavera.io/api/v1/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/meetings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "meeting",
"title": "<string>",
"meeting_url": "<string>",
"bot_name": "<string>",
"join_type": "<string>",
"join_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"status": "pending",
"recording_url": "<string>",
"participant_count": 123,
"workspace_id": "<string>",
"has_analysis": true,
"analysis_status": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelled_by": "<string>",
"cancel_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}